#include "libstats.h"
#include <stdio.h>

#define DATA_SIZE 4
#define HIST_SIZE 4

int main(int argc, char **argv)
{
    int ret;
    float sd;
    stats_container_t hist, data;

    ret = 0;

    stats_container_init(&hist, HIST_SIZE);
    stats_container_init(&data, DATA_SIZE);
    data.records[0].x = 0;
    data.records[0].y = 5;
    data.records[1].x = 1;
    data.records[1].y = 6;
    data.records[2].x = 2;
    data.records[2].y = 8;
    data.records[3].x = 3;
    data.records[3].y = 9;

    sd = stats_stddev(&data);
    printf("sd: %f\n", sd);
    printf("sd should be 1.5811\n");

    stats_hist(&hist, &data);
    stats_hist_print(&hist);

    stats_container_save("mydata", "My Scatter Plot", "x-axis", "y-axis", &data, "points");
    stats_container_save("myhist", "My Histogram", "x-axis", "y-axis", &hist, "steps");

    stats_container_free(&data);
    stats_container_free(&hist);

    return ret;
}
